# -*- coding: utf-8 -*-

"""
@author: <sylvain.herledan@oceandatalab.com>
@date: 2016-09-06
"""

import flatbuffers
import SEAScope.API.Tag
import SEAScope.API.Source
import SEAScope.API.OpCode
import SEAScope.API.CommandArgs
import SEAScope.API.Command


def serialize(builder):
    """"""
    if builder is None:
        builder = flatbuffers.Builder(0)

    opcode = SEAScope.API.OpCode.OpCode().disconnect
    SEAScope.API.Command.CommandStart(builder)
    SEAScope.API.Command.CommandAddOpcode(builder, opcode)
    cmd = SEAScope.API.Command.CommandEnd(builder)

    return builder, cmd


def deserialize():
    """"""
    pass
