# -*- coding: utf-8 -*-

"""
@author: <sylvain.herledan@oceandatalab.com>
@date: 2016-09-08
"""

import flatbuffers
import SEAScope.API.OpCode
import SEAScope.API.CommandArgs
import SEAScope.API.SetCurrentDatetime
import SEAScope.API.Command


def serialize(builder, timestamp):
    """"""
    if builder is None:
        builder = flatbuffers.Builder(0)

    cls = SEAScope.API.SetCurrentDatetime
    cls.SetCurrentDatetimeStart(builder)
    cls.SetCurrentDatetimeAddTimestamp(builder, timestamp)
    cmd_args = cls.SetCurrentDatetimeEnd(builder)

    opcode = SEAScope.API.OpCode.OpCode().setCurrentDatetime
    args_type = SEAScope.API.CommandArgs.CommandArgs().SetCurrentDatetime
    SEAScope.API.Command.CommandStart(builder)
    SEAScope.API.Command.CommandAddOpcode(builder, opcode)
    SEAScope.API.Command.CommandAddArgsType(builder, args_type)
    SEAScope.API.Command.CommandAddArgs(builder, cmd_args)
    cmd = SEAScope.API.Command.CommandEnd(builder)

    return builder, cmd


def deserialize():
    """"""
    pass
