# -*- coding: utf-8 -*-

"""
@author: <sylvain.herledan@oceandatalab.com>
@date: 2016-09-09
"""

import flatbuffers
import SEAScope.API.Color


def serialize(builder, color_obj):
    """"""
    if builder is None:
        builder = flatbuffers.Builder(0)

    cls = SEAScope.API.Color
    color = cls.CreateColor(builder,
                            int(color_obj[0]),
                            int(color_obj[1]),
                            int(color_obj[2]))

    return builder, color


def deserialize(o):
    """"""
    result = []
    result.append(o.R())
    result.append(o.G())
    result.append(o.B())
    return result
