# -*- coding: utf-8 -*-

"""
@author: <sylvain.herledan@oceandatalab.com>
@date: 2016-09-07
"""

import flatbuffers
import SEAScope.API.RenderableId


def serialize(builder, rid_obj):
    """"""
    if builder is None:
        builder = flatbuffers.Builder(0)

    cls = SEAScope.API.RenderableId
    rid = cls.CreateRenderableId(builder,
                                 int(rid_obj['granuleLevel']),
                                 int(rid_obj['sourceId']),
                                 int(rid_obj['collectionId']),
                                 int(rid_obj['granuleId']),
                                 int(rid_obj['variableId']))

    return builder, rid


def deserialize(o):
    """"""
    result = {}
    result['granuleLevel'] = 0 < o.GranuleLevel()
    result['sourceId'] = o.SourceId()
    result['collectionId'] = o.CollectionId()
    result['granuleId'] = o.GranuleId()
    result['variableId'] = o.VariableId()
    return result
