# -*- coding: utf-8 -*-

"""
@author: <sylvain.herledan@oceandatalab.com>
@date: 2016-09-08
"""

import flatbuffers
import SEAScope.API.Timestep


def serialize(builder, step_obj):
    """"""
    if builder is None:
        builder = flatbuffers.Builder(0)

    _label = builder.CreateString(step_obj['label'])
    _step = step_obj['step']
    cls = SEAScope.API.Timestep
    cls.TimestepStart(builder)
    cls.TimestepAddLabel(builder, _label)
    cls.TimestepAddStep(builder, _step)
    timestep = cls.TimestepEnd(builder)

    return builder, timestep


def deserialize(o):
    """"""
    result = {}
    result['label'] = o.Label()
    result['step'] = o.Step()
    return result
