# -*- coding: utf-8 -*-

"""
@author: <sylvain.herledan@oceandatalab.com>
@date: 2016-09-06
"""

import flatbuffers
import SEAScope.API.OpCode
import SEAScope.API.CommandArgs
import SEAScope.API.RemoveSource
import SEAScope.API.Command


def serialize(builder, src_id):
    """"""
    if builder is None:
        builder = flatbuffers.Builder(0)

    SEAScope.API.RemoveSource.RemoveSourceStart(builder)
    SEAScope.API.RemoveSource.RemoveSourceAddSourceId(builder, src_id)
    cmd_args = SEAScope.API.RemoveSource.RemoveSourceEnd(builder)

    opcode = SEAScope.API.OpCode.OpCode().removeSource
    args_type = SEAScope.API.CommandArgs.CommandArgs().RemoveSource
    SEAScope.API.Command.CommandStart(builder)
    SEAScope.API.Command.CommandAddOpcode(builder, opcode)
    SEAScope.API.Command.CommandAddArgsType(builder, args_type)
    SEAScope.API.Command.CommandAddArgs(builder, cmd_args)
    cmd = SEAScope.API.Command.CommandEnd(builder)

    return builder, cmd


def deserialize():
    """"""
    pass
