# -*- coding: utf-8 -*-

"""
@author: <sylvain.herledan@oceandatalab.com>
@date: 2016-09-09
"""

import flatbuffers
import SEAScope.API.GCP


def serialize(builder, gcp_obj):
    """"""
    if builder is None:
        builder = flatbuffers.Builder(0)

    cls = SEAScope.API.GCP
    gcp = cls.CreateGCP(builder,
                        gcp_obj['lon'],
                        gcp_obj['lat'],
                        int(gcp_obj['i']),
                        int(gcp_obj['j']))

    return builder, gcp


def deserialize(o):
    """"""
    result = {}
    result['lon'] = o.Lon()
    result['lat'] = o.Lat()
    result['i'] = o.I()
    result['j'] = o.J()
    return result
